<?php
/**
* The template for displaying 404 pages (not found).
*
* @link https://codex.wordpress.org/Creating_an_Error_404_Page
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class='writemag-main-wrapper writemag-clearfix' id='writemag-main-wrapper' itemscope='itemscope' itemtype='http://schema.org/Blog' role='main'>
<div class='theiaStickySidebar'>
<div class="writemag-main-wrapper-inside writemag-clearfix">

<div class='writemag-posts-wrapper' id='writemag-posts-wrapper'>

<div class='writemag-posts writemag-singular-box'>
<div class="writemag-singular-box-inside">

<div class="writemag-page-header-outside">
<header class="writemag-page-header">
<div class="writemag-page-header-inside">
    <?php if ( writemag_get_option('error_404_heading') ) : ?>
    <h1 class="page-title"><?php echo esc_html( writemag_get_option('error_404_heading') ); ?></h1>
    <?php else : ?>
    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can not be found.', 'writemag' ); ?></h1>
    <?php endif; ?>
</div>
</header><!-- .writemag-page-header -->
</div>

<div class='writemag-posts-content'>

    <?php if ( writemag_get_option('error_404_message') ) : ?>
    <p><?php echo wp_kses_post( force_balance_tags( writemag_get_option('error_404_message') ) ); ?></p>
    <?php else : ?>
    <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'writemag' ); ?></p>
    <?php endif; ?>

    <?php if ( !(writemag_get_option('hide_404_search')) ) { ?><?php get_search_form(); ?><?php } ?>

</div>

</div>
</div>

</div><!--/#writemag-posts-wrapper -->

<?php writemag_404_widgets(); ?>

</div>
</div>
</div><!-- /#writemag-main-wrapper -->

<?php get_footer(); ?>