<?php
/**
* The template for displaying archive pages.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="writemag-main-wrapper writemag-clearfix" id="writemag-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="writemag-main-wrapper-inside writemag-clearfix">

<?php writemag_before_main_content(); ?>

<div class="writemag-posts-wrapper" id="writemag-posts-wrapper">
<div class="writemag-posts">

<div class="writemag-page-header-outside">
<header class="writemag-page-header">
<div class="writemag-page-header-inside">
<?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>
<?php the_archive_description( '<div class="taxonomy-description">', '</div>' ); ?>
</div>
</header>
</div>

<div class="writemag-posts-content">

<?php if (have_posts()) : ?>

    <div class="writemag-posts-container <?php echo esc_attr(writemag_posts_container_class()); ?>">
    <?php $writemag_total_posts = $wp_query->post_count; ?>
    <?php $writemag_post_counter=1; while (have_posts()) : the_post(); ?>

        <?php get_template_part( 'template-parts/content', writemag_post_style() ); ?>

    <?php $writemag_post_counter++; endwhile; ?>
    </div>
    <div class="clear"></div>

    <?php writemag_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>

</div>
</div><!--/#writemag-posts-wrapper -->

<?php writemag_after_main_content(); ?>

</div>
</div>
</div><!-- /#writemag-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>