jQuery(document).ready(function($) {
    'use strict';

    if(writemag_ajax_object.secondary_menu_active){

        $(".writemag-nav-secondary .writemag-secondary-nav-menu").addClass("writemag-secondary-responsive-menu");

        $( ".writemag-secondary-responsive-menu-icon" ).on( "click", function() {
            $(this).next(".writemag-nav-secondary .writemag-secondary-nav-menu").slideToggle();
        });

        $(window).on( "resize", function() {
            if(window.innerWidth > 1112) {
                $(".writemag-nav-secondary .writemag-secondary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
                $(".writemag-secondary-responsive-menu > li").removeClass("writemag-secondary-menu-open");
            }
        });

        $( ".writemag-secondary-responsive-menu > li" ).on( "click", function(event) {
            if (event.target !== this)
            return;
            $(this).find(".sub-menu:first").toggleClass('writemag-submenu-toggle').parent().toggleClass("writemag-secondary-menu-open");
            $(this).find(".children:first").toggleClass('writemag-submenu-toggle').parent().toggleClass("writemag-secondary-menu-open");
        });

        $( "div.writemag-secondary-responsive-menu > ul > li" ).on( "click", function(event) {
            if (event.target !== this)
                return;
            $(this).find("ul:first").toggleClass('writemag-submenu-toggle').parent().toggleClass("writemag-secondary-menu-open");
        });

    }

    if(writemag_ajax_object.primary_menu_active){

        // grab the initial top offset of the navigation 
        var writemagstickyNavTop = $('.writemag-primary-menu-container').offset().top;
        
        // our function that decides weather the navigation bar should have "fixed" css position or not.
        var writemagstickyNav = function(){
            var writemagscrollTop = $(window).scrollTop(); // our current vertical position from the top
                 
            // if we've scrolled more than the navigation, change its position to fixed to stick to top,
            // otherwise change it back to relative

            if(window.innerWidth > 1112) {
                if (writemagscrollTop > writemagstickyNavTop) {
                    $('.writemag-primary-menu-container').addClass('writemag-fixed');
                } else {
                    $('.writemag-primary-menu-container').removeClass('writemag-fixed'); 
                }
            }
        };

        writemagstickyNav();
        // and run it again every time you scroll
        $(window).on( "scroll", function() {
            writemagstickyNav();
        });

        $(".writemag-nav-primary .writemag-primary-nav-menu").addClass("writemag-primary-responsive-menu");

        $( ".writemag-primary-responsive-menu-icon" ).on( "click", function() {
            $(this).next(".writemag-nav-primary .writemag-primary-nav-menu").slideToggle();
        });

        $(window).on( "resize", function() {
            if(window.innerWidth > 1112) {
                $(".writemag-nav-primary .writemag-primary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
                $(".writemag-primary-responsive-menu > li").removeClass("writemag-primary-menu-open");
            }
        });

        $( ".writemag-primary-responsive-menu > li" ).on( "click", function(event) {
            if (event.target !== this)
            return;
            $(this).find(".sub-menu:first").toggleClass('writemag-submenu-toggle').parent().toggleClass("writemag-primary-menu-open");
            $(this).find(".children:first").toggleClass('writemag-submenu-toggle').parent().toggleClass("writemag-primary-menu-open");
        });

        $( "div.writemag-primary-responsive-menu > ul > li" ).on( "click", function(event) {
            if (event.target !== this)
                return;
            $(this).find("ul:first").toggleClass('writemag-submenu-toggle').parent().toggleClass("writemag-primary-menu-open");
        });

    }

    if($(".writemag-sidebar-one-wrapper").length){
    $(".writemag-main-wrapper").before($(".writemag-sidebar-one-wrapper"));
    $(window).on( "resize", function() {
        if(window.innerWidth > 960) {
            $(".writemag-main-wrapper").before($(".writemag-sidebar-one-wrapper"));
        } else {
            $(".writemag-main-wrapper").after($(".writemag-sidebar-one-wrapper"));
        }
    });
    }

    if($(".writemag-social-icon-search").length){
        $(".writemag-social-icon-search").on('click', function (e) {
            e.preventDefault();
            document.getElementById("writemag-search-overlay-wrap").style.display = "block";
            const writemag_focusableelements = 'button, [href], input';
            const writemag_search_modal = document.querySelector('#writemag-search-overlay-wrap');
            const writemag_firstfocusableelement = writemag_search_modal.querySelectorAll(writemag_focusableelements)[0];
            const writemag_focusablecontent = writemag_search_modal.querySelectorAll(writemag_focusableelements);
            const writemag_lastfocusableelement = writemag_focusablecontent[writemag_focusablecontent.length - 1];
            document.addEventListener('keydown', function(e) {
              let isTabPressed = e.key === 'Tab' || e.keyCode === 9;
              if (!isTabPressed) {
                return;
              }
              if (e.shiftKey) {
                if (document.activeElement === writemag_firstfocusableelement) {
                  writemag_lastfocusableelement.focus();
                  e.preventDefault();
                }
              } else {
                if (document.activeElement === writemag_lastfocusableelement) {
                  writemag_firstfocusableelement.focus();
                  e.preventDefault();
                }
              }
            });
            writemag_firstfocusableelement.focus();
        });
    }

    if($(".writemag-search-closebtn").length){
        $(".writemag-search-closebtn").on('click', function (e) {
            e.preventDefault();
            document.getElementById("writemag-search-overlay-wrap").style.display = "none";
        });
    }

    if(writemag_ajax_object.fitvids_active){
        $(".post").fitVids();
    }

    if(writemag_ajax_object.backtotop_active){
        if($(".writemag-scroll-top").length){
            var writemag_scroll_button = $( '.writemag-scroll-top' );
            writemag_scroll_button.hide();

            $(window).on( "scroll", function() {
                if ( $( window ).scrollTop() < 20 ) {
                    $( '.writemag-scroll-top' ).fadeOut();
                } else {
                    $( '.writemag-scroll-top' ).fadeIn();
                }
            } );

            writemag_scroll_button.on( "click", function() {
                $( "html, body" ).animate( { scrollTop: 0 }, 300 );
                return false;
            } );
        }
    }

    if(writemag_ajax_object.sticky_sidebar_active){
        $('.writemag-main-wrapper, .writemag-sidebar-one-wrapper, .writemag-sidebar-two-wrapper').theiaStickySidebar({
            containerSelector: ".writemag-content-wrapper",
            additionalMarginTop: 0,
            additionalMarginBottom: 0,
            minWidth: 960,
        });

        $(window).on( "resize", function() {
            $('.writemag-main-wrapper, .writemag-sidebar-one-wrapper, .writemag-sidebar-two-wrapper').theiaStickySidebar({
                containerSelector: ".writemag-content-wrapper",
                additionalMarginTop: 0,
                additionalMarginBottom: 0,
                minWidth: 960,
            });
        });
    }

});