<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

</div><!--/#writemag-content-wrapper -->

<?php writemag_bottom_wide_widgets(); ?>

</div><!--/#writemag-wrapper -->
</div><!--/#writemag-wrapper-outside -->

<?php if ( 'before-footer' === writemag_secondary_menu_location() ) { ?><?php writemag_secondary_menu_area(); ?><?php } ?>

<?php writemag_before_footer(); ?>

<?php if ( !(writemag_hide_footer_widgets()) ) { ?>
<?php if ( is_active_sidebar( 'writemag-footer-1' ) || is_active_sidebar( 'writemag-footer-2' ) || is_active_sidebar( 'writemag-footer-3' ) || is_active_sidebar( 'writemag-footer-4' ) || is_active_sidebar( 'writemag-top-footer' ) || is_active_sidebar( 'writemag-bottom-footer' ) ) : ?>
<div class='writemag-clearfix' id='writemag-footer-blocks' itemscope='itemscope' itemtype='http://schema.org/WPFooter' role='contentinfo'>
<div class='writemag-container writemag-clearfix'>
<div class="writemag-outer-wrapper">

<?php if ( is_active_sidebar( 'writemag-top-footer' ) ) : ?>
<div class='writemag-clearfix'>
<div class='writemag-top-footer-block'>
<?php dynamic_sidebar( 'writemag-top-footer' ); ?>
</div>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'writemag-footer-1' ) || is_active_sidebar( 'writemag-footer-2' ) || is_active_sidebar( 'writemag-footer-3' ) || is_active_sidebar( 'writemag-footer-4' ) ) : ?>
<div class='writemag-footer-block-cols writemag-clearfix'>

<div class="writemag-footer-block-col writemag-footer-4-col" id="writemag-footer-block-1">
<?php dynamic_sidebar( 'writemag-footer-1' ); ?>
</div>

<div class="writemag-footer-block-col writemag-footer-4-col" id="writemag-footer-block-2">
<?php dynamic_sidebar( 'writemag-footer-2' ); ?>
</div>

<div class="writemag-footer-block-col writemag-footer-4-col" id="writemag-footer-block-3">
<?php dynamic_sidebar( 'writemag-footer-3' ); ?>
</div>

<div class="writemag-footer-block-col writemag-footer-4-col" id="writemag-footer-block-4">
<?php dynamic_sidebar( 'writemag-footer-4' ); ?>
</div>

</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'writemag-bottom-footer' ) ) : ?>
<div class='writemag-clearfix'>
<div class='writemag-bottom-footer-block'>
<?php dynamic_sidebar( 'writemag-bottom-footer' ); ?>
</div>
</div>
<?php endif; ?>

</div>
</div>
</div><!--/#writemag-footer-blocks-->
<?php endif; ?>
<?php } ?>

<div class='writemag-clearfix' id='writemag-footer'>
<div class='writemag-foot-wrap writemag-container'>
<div class="writemag-outer-wrapper">

<?php if ( writemag_get_option('footer_text') ) : ?>
  <p class='writemag-copyright'><?php echo wp_kses_post( force_balance_tags( writemag_get_option('footer_text') ) ); ?></p>
<?php else : ?>
  <p class='writemag-copyright'><?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'writemag' ), esc_html(date_i18n(__('Y','writemag'))) . ' ' . esc_html(get_bloginfo( 'name' ))  ); ?></p>
<?php endif; ?>
<p class='writemag-credit'><a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'writemag' ), 'ThemesDNA.com' ); ?></a></p>

</div>
</div>
</div><!--/#writemag-footer -->

<?php writemag_after_footer(); ?>

<?php if ( 'after-footer' === writemag_secondary_menu_location() ) { ?><?php writemag_secondary_menu_area(); ?><?php } ?>

</div>

<?php if ( writemag_is_backtotop_active() ) { ?><button class="writemag-scroll-top" title="<?php esc_attr_e('Scroll to Top','writemag'); ?>"><i class="fas fa-arrow-up" aria-hidden="true"></i><span class="writemag-sr-only"><?php esc_html_e('Scroll to Top', 'writemag'); ?></span></button><?php } ?>

<?php wp_footer(); ?>
</body>
</html>