<?php
/**
* The header for WriteMag theme.
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="writemag-site-body" itemscope="itemscope" itemtype="http://schema.org/WebPage">
<?php wp_body_open(); ?>
<a class="skip-link screen-reader-text" href="#writemag-posts-wrapper"><?php esc_html_e( 'Skip to content', 'writemag' ); ?></a>

<div class="writemag-site-wrapper">

<?php writemag_header_image(); ?>

<?php if ( 'before-header' === writemag_secondary_menu_location() ) { ?><?php writemag_secondary_menu_area(); ?><?php } ?>

<?php writemag_before_header(); ?>

<div class="writemag-site-header writemag-container" id="writemag-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader" role="banner">
<div class="writemag-head-content writemag-clearfix" id="writemag-head-content">

<?php if ( writemag_is_header_content_active() ) { ?>
<div class="writemag-header-inside writemag-clearfix">
<div class="writemag-header-inside-content writemag-clearfix">
<div class="writemag-outer-wrapper">
<div class="writemag-header-inside-container">

<div class="writemag-logo">
<?php if ( has_custom_logo() ) : ?>
    <div class="site-branding site-branding-full">
    <div class="writemag-custom-logo-image">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="writemag-logo-img-link">
        <img src="<?php echo esc_url( writemag_custom_logo() ); ?>" alt="" class="writemag-logo-img"/>
    </a>
    </div>
    <div class="writemag-custom-logo-info"><?php writemag_site_title(); ?></div>
    </div>
<?php else: ?>
    <div class="site-branding">
      <?php writemag_site_title(); ?>
    </div>
<?php endif; ?>
</div>

<div class="writemag-header-banner">
<?php dynamic_sidebar( 'writemag-header-ad' ); ?>
</div>

</div>
</div>
</div>
</div>
<?php } else { ?>
<div class="writemag-no-header-content">
  <?php writemag_site_title(); ?>
</div>
<?php } ?>

</div><!--/#writemag-head-content -->
</div><!--/#writemag-header -->

<?php writemag_after_header(); ?>

<?php if ( 'after-header' === writemag_secondary_menu_location() ) { ?><?php writemag_secondary_menu_area(); ?><?php } ?>

<?php writemag_primary_menu_area(); ?>

<div class="writemag-outer-wrapper" id="writemag-wrapper-outside">
<div class="writemag-container writemag-clearfix" id="writemag-wrapper">

<?php writemag_top_wide_widgets(); ?>

<div class="writemag-content-wrapper writemag-clearfix" id="writemag-content-wrapper">