<?php
/**
* Footer options
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function writemag_footer_options($wp_customize) {

    $wp_customize->add_section( 'writemag_section_footer', array( 'title' => esc_html__( 'Footer Options', 'writemag' ), 'panel' => 'writemag_main_options_panel', 'priority' => 280 ) );

    $wp_customize->add_setting( 'writemag_options[footer_text]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'writemag_sanitize_html', ) );

    $wp_customize->add_control( 'writemag_footer_text_control', array( 'label' => esc_html__( 'Footer copyright notice', 'writemag' ), 'section' => 'writemag_section_footer', 'settings' => 'writemag_options[footer_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'writemag_options[hide_footer_widgets]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'writemag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'writemag_hide_footer_widgets_control', array( 'label' => esc_html__( 'Hide Footer Widgets', 'writemag' ), 'section' => 'writemag_section_footer', 'settings' => 'writemag_options[hide_footer_widgets]', 'type' => 'checkbox', ) );

}