<?php
/**
* Menu options
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function writemag_menu_options($wp_customize) {

    $wp_customize->add_section( 'writemag_section_menu_options', array( 'title' => esc_html__( 'Menu Options', 'writemag' ), 'panel' => 'writemag_main_options_panel', 'priority' => 100 ) );

    $wp_customize->add_setting( 'writemag_options[primary_menu_text]', array( 'default' => esc_html__( 'Menu', 'writemag' ), 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field', ) );

    $wp_customize->add_control( 'writemag_primary_menu_text_control', array( 'label' => esc_html__( 'Primary Menu Mobile Text', 'writemag' ), 'section' => 'writemag_section_menu_options', 'settings' => 'writemag_options[primary_menu_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'writemag_options[disable_primary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'writemag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'writemag_disable_primary_menu_control', array( 'label' => esc_html__( 'Disable Primary Menu', 'writemag' ), 'section' => 'writemag_section_menu_options', 'settings' => 'writemag_options[disable_primary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'writemag_options[center_primary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'writemag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'writemag_center_primary_menu_control', array( 'label' => esc_html__( 'Center Primary Menu', 'writemag' ), 'description' => '<br/><hr/>', 'section' => 'writemag_section_menu_options', 'settings' => 'writemag_options[center_primary_menu]', 'type' => 'checkbox', ) );


    $wp_customize->add_setting( 'writemag_options[secondary_menu_text]', array( 'default' => esc_html__( 'Menu', 'writemag' ), 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field', ) );

    $wp_customize->add_control( 'writemag_secondary_menu_text_control', array( 'label' => esc_html__( 'Secondary Menu Mobile Text', 'writemag' ), 'section' => 'writemag_section_menu_options', 'settings' => 'writemag_options[secondary_menu_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'writemag_options[disable_secondary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'writemag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'writemag_disable_secondary_menu_control', array( 'label' => esc_html__( 'Disable Secondary Menu', 'writemag' ), 'section' => 'writemag_section_menu_options', 'settings' => 'writemag_options[disable_secondary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'writemag_options[secondary_menu_location]', array( 'default' => 'before-header', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'writemag_sanitize_secondary_menu_location' ) );

    $wp_customize->add_control( 'writemag_secondary_menu_location_control', array( 'label' => esc_html__( 'Select Secondary Menu Location', 'writemag' ), 'description' => esc_html__('Select where you want to display secondary menu.', 'writemag'), 'section' => 'writemag_section_menu_options', 'settings' => 'writemag_options[secondary_menu_location]', 'type' => 'select', 'choices' => array( 'before-header' => esc_html__('Before Header', 'writemag'), 'after-header' => esc_html__('After Header', 'writemag'), 'before-footer' => esc_html__('Before Footer', 'writemag'), 'after-footer' => esc_html__('After Footer', 'writemag') ) ) );

    $wp_customize->add_setting( 'writemag_options[center_secondary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'writemag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'writemag_center_secondary_menu_control', array( 'label' => esc_html__( 'Center Secondary Menu', 'writemag' ), 'section' => 'writemag_section_menu_options', 'settings' => 'writemag_options[center_secondary_menu]', 'type' => 'checkbox', ) );

}