<?php
/**
* Custom Hooks
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function writemag_before_header() {
    do_action('writemag_before_header');
}

function writemag_after_header() {
    do_action('writemag_after_header');
}

function writemag_before_main_content() {
    do_action('writemag_before_main_content');
}
add_action('writemag_before_main_content', 'writemag_top_widgets', 20 );

function writemag_after_main_content() {
    do_action('writemag_after_main_content');
}
add_action('writemag_after_main_content', 'writemag_bottom_widgets', 10 );

function writemag_sidebar_one() {
    do_action('writemag_sidebar_one');
}
add_action('writemag_sidebar_one', 'writemag_sidebar_one_widgets', 10 );

function writemag_sidebar_two() {
    do_action('writemag_sidebar_two');
}
add_action('writemag_sidebar_two', 'writemag_sidebar_two_widgets', 10 );

function writemag_before_single_post() {
    do_action('writemag_before_single_post');
}

function writemag_before_single_post_title() {
    do_action('writemag_before_single_post_title');
}

function writemag_after_single_post_title() {
    do_action('writemag_after_single_post_title');
}

function writemag_after_single_post_content() {
    do_action('writemag_after_single_post_content');
}

function writemag_after_single_post() {
    do_action('writemag_after_single_post');
}

function writemag_before_single_page() {
    do_action('writemag_before_single_page');
}

function writemag_before_single_page_title() {
    do_action('writemag_before_single_page_title');
}

function writemag_after_single_page_title() {
    do_action('writemag_after_single_page_title');
}

function writemag_after_single_page_content() {
    do_action('writemag_after_single_page_content');
}

function writemag_after_single_page() {
    do_action('writemag_after_single_page');
}

function writemag_before_comments() {
    do_action('writemag_before_comments');
}

function writemag_after_comments() {
    do_action('writemag_after_comments');
}

function writemag_before_footer() {
    do_action('writemag_before_footer');
}

function writemag_after_footer() {
    do_action('writemag_after_footer');
}

if ( !(writemag_get_option('enable_widgets_block_editor')) ) {
    // Disables the block editor from managing widgets in the Gutenberg plugin.
    add_filter( 'gutenberg_use_widgets_block_editor', '__return_false', 100 );

    // Disables the block editor from managing widgets.
    add_filter( 'use_widgets_block_editor', '__return_false' );
}

if ( ! function_exists( 'writemag_remove_theme_support' ) ) :
function writemag_remove_theme_support() {

    if ( writemag_is_fitvids_active() ) {
        // Remove responsive embedded content support.
        remove_theme_support( 'responsive-embeds' );
    }

}
endif;
add_action( 'after_setup_theme', 'writemag_remove_theme_support', 1000 );