<?php
/**
* Posts navigation functions
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

if ( ! function_exists( 'writemag_wp_pagenavi' ) ) :
function writemag_wp_pagenavi() {
    ?>
    <nav class="navigation posts-navigation writemag-clearfix" role="navigation">
        <?php wp_pagenavi(); ?>
    </nav><!-- .navigation -->
    <?php
}
endif;

if ( ! function_exists( 'writemag_posts_navigation' ) ) :
function writemag_posts_navigation() {
    if ( !(writemag_get_option('hide_posts_navigation')) ) {
        if ( function_exists( 'wp_pagenavi' ) ) {
            writemag_wp_pagenavi();
        } else {
            if ( writemag_get_option('posts_navigation_type') === 'normalnavi' ) {
                the_posts_navigation(array('prev_text' => esc_html__( 'Older posts', 'writemag' ), 'next_text' => esc_html__( 'Newer posts', 'writemag' )));
            } else {
                the_posts_pagination(array('mid_size' => 2, 'prev_text' => esc_html__( '&larr; Newer posts', 'writemag' ), 'next_text' => esc_html__( 'Older posts &rarr;', 'writemag' )));
            }
        }
    }
}
endif;

if ( ! function_exists( 'writemag_post_navigation' ) ) :
function writemag_post_navigation() {
global $post;
if ( !(writemag_get_option('hide_post_navigation')) ) {
    the_post_navigation(array('prev_text' => esc_html__( '%title &rarr;', 'writemag' ), 'next_text' => esc_html__( '&larr; %title', 'writemag' )));
}
}
endif;