<?php
/**
* Register widget area.
*
* @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function writemag_widgets_init() {

register_sidebar(array(
    'id' => 'writemag-header-ad',
    'name' => esc_html__( 'Header Right Widgets', 'writemag' ),
    'description' => esc_html__( 'This widget area is located on the right side of the header of your web page. You can drag and drop a "Custom HTML" widget into this widget area and add your banner ad code into that widget.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-header-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-sidebar-one',
    'name' => esc_html__( 'Sidebar 1 Widgets', 'writemag' ),
    'description' => esc_html__( 'This widget area is located on the left-hand side of your web page.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-side-widget widget writemag-widget-box writemag-widget-box %2$s"><div class="writemag-widget-box-inside writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-sidebar-two',
    'name' => esc_html__( 'Sidebar 2 Widgets', 'writemag' ),
    'description' => esc_html__( 'This widget area is located on the right-hand side of your web page.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-side-widget widget writemag-widget-box writemag-widget-box %2$s"><div class="writemag-widget-box-inside writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Everywhere)', 'writemag' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content of your website. Widgets of this widget area are displayed on every page of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget widget writemag-widget-box %2$s"><div class="writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-home-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Default HomePage)', 'writemag' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget widget writemag-widget-box %2$s"><div class="writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Everywhere)', 'writemag' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content of your website. Widgets of this widget area are displayed on every page of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget widget writemag-widget-box %2$s"><div class="writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-home-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Default HomePage)', 'writemag' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget widget writemag-widget-box %2$s"><div class="writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-fullwidth-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Everywhere)', 'writemag' ),
    'description' => esc_html__( 'This full-width widget area is located after the primary menu of your website. Widgets of this widget area are displayed on every page of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget writemag-top-fullwidth-widget writemag-widget-box widget %2$s"><div class="writemag-top-fullwidth-widget-inside writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-home-fullwidth-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Default HomePage)', 'writemag' ),
    'description' => esc_html__( 'This full-width widget area is located after the primary menu of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget writemag-top-fullwidth-widget writemag-widget-box widget %2$s"><div class="writemag-top-fullwidth-widget-inside writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Everywhere)', 'writemag' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on every page of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget writemag-bottom-fullwidth-widget writemag-widget-box widget %2$s"><div class="writemag-bottom-fullwidth-widget-inside writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-home-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Default HomePage)', 'writemag' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget writemag-bottom-fullwidth-widget writemag-widget-box widget %2$s"><div class="writemag-bottom-fullwidth-widget-inside writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-single-post-bottom-widgets',
    'name' => esc_html__( 'Single Post Bottom Widgets', 'writemag' ),
    'description' => esc_html__( 'This widget area is located at the bottom of single post of any post type (except attachments and pages).', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget widget writemag-widget-box %2$s"><div class="writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'writemag-top-footer',
    'name' => esc_html__( 'Footer Top', 'writemag' ),
    'description' => esc_html__( 'This widget area is located on the top of the footer of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'writemag-footer-1',
    'name' => esc_html__( 'Footer 1', 'writemag' ),
    'description' => esc_html__( 'This widget area is the column 1 of the footer of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'writemag-footer-2',
    'name' => esc_html__( 'Footer 2', 'writemag' ),
    'description' => esc_html__( 'This widget area is the column 2 of the footer of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'writemag-footer-3',
    'name' => esc_html__( 'Footer 3', 'writemag' ),
    'description' => esc_html__( 'This widget area is the column 3 of the footer of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'writemag-footer-4',
    'name' => esc_html__( 'Footer 4', 'writemag' ),
    'description' => esc_html__( 'This widget area is the column 4 of the footer of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'writemag-bottom-footer',
    'name' => esc_html__( 'Footer Bottom', 'writemag' ),
    'description' => esc_html__( 'This widget area is located on the bottom of the footer of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'writemag-404-widgets',
    'name' => esc_html__( '404 Page Widgets', 'writemag' ),
    'description' => esc_html__( 'This widget area is located on the 404(not found) page of your website.', 'writemag' ),
    'before_widget' => '<div id="%1$s" class="writemag-main-widget widget writemag-widget-box %2$s"><div class="writemag-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="writemag-widget-header"><h2 class="writemag-widget-title"><span class="writemag-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

}
add_action( 'widgets_init', 'writemag_widgets_init' );


function writemag_sidebar_one_widgets() {
    dynamic_sidebar( 'writemag-sidebar-one' );
}

function writemag_sidebar_two_widgets() {
    dynamic_sidebar( 'writemag-sidebar-two' );
}


function writemag_top_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'writemag-home-fullwidth-widgets' ) || is_active_sidebar( 'writemag-fullwidth-widgets' ) ) : ?>
<div class="writemag-top-wrapper-outer writemag-clearfix">
<div class="writemag-featured-posts-area writemag-top-wrapper writemag-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'writemag-home-fullwidth-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'writemag-fullwidth-widgets' ); ?>
</div>
</div>
<?php endif; ?>

<?php }


function writemag_top_widgets() { ?>

<?php if ( is_active_sidebar( 'writemag-home-top-widgets' ) || is_active_sidebar( 'writemag-top-widgets' ) ) : ?>
<div class="writemag-featured-posts-area writemag-featured-posts-area-top writemag-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'writemag-home-top-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'writemag-top-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function writemag_bottom_widgets() { ?>

<?php if ( is_active_sidebar( 'writemag-home-bottom-widgets' ) || is_active_sidebar( 'writemag-bottom-widgets' ) ) : ?>
<div class='writemag-featured-posts-area writemag-featured-posts-area-bottom writemag-clearfix'>
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'writemag-home-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'writemag-bottom-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function writemag_bottom_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'writemag-home-fullwidth-bottom-widgets' ) || is_active_sidebar( 'writemag-fullwidth-bottom-widgets' ) ) : ?>
<div class="writemag-bottom-wrapper-outer writemag-clearfix">
<div class="writemag-featured-posts-area writemag-bottom-wrapper writemag-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'writemag-home-fullwidth-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'writemag-fullwidth-bottom-widgets' ); ?>
</div>
</div>
<?php endif; ?>

<?php }


function writemag_404_widgets() { ?>

<?php if ( is_active_sidebar( 'writemag-404-widgets' ) ) : ?>
<div class="writemag-featured-posts-area writemag-featured-posts-area-top writemag-clearfix">
<?php dynamic_sidebar( 'writemag-404-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function writemag_post_bottom_widgets() {
    global $post;
    if ( is_active_sidebar( 'writemag-single-post-bottom-widgets' ) ) : ?>
        <div class="writemag-featured-posts-area writemag-clearfix">
        <?php dynamic_sidebar( 'writemag-single-post-bottom-widgets' ); ?>
        </div>
    <?php endif;
}