<?php
/**
* The template for displaying all single posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="writemag-main-wrapper writemag-clearfix" id="writemag-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="writemag-main-wrapper-inside writemag-clearfix">

<?php writemag_before_main_content(); ?>

<div class="writemag-posts-wrapper" id="writemag-posts-wrapper">

<?php while (have_posts()) : the_post();

    get_template_part( 'template-parts/content', 'single' );

    writemag_post_navigation();

    writemag_post_bottom_widgets();

    if ( !(writemag_get_option('hide_comment_form')) ) {

    // If comments are open or we have at least one comment, load up the comment template
    if ( comments_open() || get_comments_number() ) :
            comments_template();
    endif;

    }

endwhile; ?>

<div class="clear"></div>
</div><!--/#writemag-posts-wrapper -->

<?php writemag_after_main_content(); ?>

</div>
</div>
</div><!-- /#writemag-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>