<?php
/**
* Template part for displaying posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<div class="writemag-compact-post-wrapper">
<div id="post-<?php the_ID(); ?>" class="writemag-compact-post writemag-item-post writemag-summaries-box">
<div class="writemag-summaries-box-inside">

    <div class='writemag-compact-post-content writemag-clearfix'>
    <div class='writemag-compact-post-content-inside writemag-clearfix'>
    <?php if ( !(writemag_get_option('hide_thumbnail_home')) ) { ?>
    <?php if ( has_post_thumbnail() ) { ?>
        <div class="writemag-compact-post-thumbnail writemag-fp-post-thumbnail writemag-compact-post-thumbnail-float">
            <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'writemag' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="writemag-compact-post-thumbnail-link writemag-fp-post-thumbnail-link"><?php the_post_thumbnail('writemag-100w-100h-image', array('class' => 'writemag-compact-post-thumbnail-img writemag-fp-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?></a>
        </div>
    <?php } else { ?>
        <?php if ( !(writemag_get_option('hide_default_thumbnail_home')) ) { ?>
        <div class="writemag-compact-post-thumbnail writemag-fp-post-thumbnail writemag-compact-post-thumbnail-float">
            <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'writemag' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="writemag-compact-post-thumbnail-link writemag-fp-post-thumbnail-link"><img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-100-100.jpg' ); ?>" class="writemag-compact-post-thumbnail-img writemag-fp-post-thumbnail-img"/></a>
        </div>
        <?php } ?>
    <?php } ?>
    <?php } ?>

    <?php if ( !(writemag_get_option('hide_post_title_home')) ) { ?>
    <?php the_title( sprintf( '<h2 class="writemag-compact-post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
    <?php } ?>

    <?php writemag_compactview_header_postmeta(); ?>

    <?php if ( !(writemag_get_option('hide_post_snippet')) ) { ?><div class="writemag-compact-post-snippet writemag-fp-post-snippet writemag-compact-post-excerpt writemag-fp-post-excerpt"><?php the_excerpt(); ?></div><?php } ?>

    <?php if ( writemag_get_option('show_read_more_button') ) { ?><div class='writemag-compact-post-read-more writemag-fp-post-read-more'><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html( writemag_read_more_text() ); ?><span class="writemag-sr-only"> <?php echo wp_kses_post( get_the_title() ); ?></span></a></div><?php } ?>
    </div>
    </div>

    <?php writemag_compactview_footer_postmeta(); ?>

</div>
</div>
</div>