<?php
/**
* Template part for displaying posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package WriteMag WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<div id="post-<?php the_ID(); ?>" class="writemag-post-singular writemag-singular-box">
<div class="writemag-singular-box-inside">

    <header class="entry-header">
    <div class="entry-header-inside">
        <?php if ( !(writemag_get_option('hide_post_categories_home')) && has_category() ) { ?>
            <?php if ( 'post' == get_post_type() ) {
                /* translators: used between list items, there is a space */
                $categories_list = get_the_category_list( esc_html__( ', ', 'writemag' ) );
                if ( $categories_list ) {
                    /* translators: 1: list of categories. */
                    printf( '<div class="writemag-entry-meta-single writemag-entry-meta-single-top"><span class="writemag-entry-meta-single-cats"><i class="far fa-folder-open" aria-hidden="true"></i>&nbsp;' . __( '<span class="writemag-sr-only">Posted in </span>%1$s', 'writemag' ) . '</span></div>', $categories_list ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                }
            } ?>
        <?php } ?>

        <?php if ( !(writemag_get_option('hide_post_title_home')) ) { ?>
        <?php the_title( sprintf( '<h2 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
        <?php } ?>

        <?php if ( !(writemag_get_option('hide_post_author_home')) || !(writemag_get_option('hide_posted_date_home')) || !(writemag_get_option('hide_comments_link_home')) ) { ?>
        <div class="writemag-entry-meta-single writemag-entry-meta-single-home">
        <?php if ( !(writemag_get_option('hide_post_author_home')) ) { ?><span class="writemag-entry-meta-single-author writemag-entry-meta-single-item"><i class="far fa-user-circle" aria-hidden="true"></i>&nbsp;<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html( get_the_author() ); ?></a></span><?php } ?>
        <?php if ( !(writemag_get_option('hide_posted_date_home')) ) { ?><span class="writemag-entry-meta-single-date writemag-entry-meta-single-item"><i class="far fa-clock" aria-hidden="true"></i>&nbsp;<?php echo esc_html(get_the_date()); ?></span><?php } ?>
        <?php if ( !(writemag_get_option('hide_comments_link_home')) ) { ?><?php if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) { ?><span class="writemag-entry-meta-single-comments writemag-entry-meta-single-item"><i class="far fa-comments" aria-hidden="true"></i>&nbsp;<?php comments_popup_link( sprintf( wp_kses( /* translators: %s: post title */ __( 'Leave a Comment<span class="writemag-sr-only"> on %s</span>', 'writemag' ), array( 'span' => array( 'class' => array(), ), ) ), wp_kses_post( get_the_title() ) ) ); ?></span>
        <?php } ?><?php } ?>
        </div>
        <?php } ?>
    </div>
    </header><!-- .entry-header -->

    <div class="entry-content writemag-clearfix">
    <?php if ( !(writemag_get_option('hide_thumbnail_home')) ) { ?>
    <?php if ( has_post_thumbnail() ) { ?>
        <div class="writemag-fullview-post-thumbnail writemag-fp-post-thumbnail">
            <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'writemag' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="writemag-fullview-post-thumbnail-link writemag-fp-post-thumbnail-link"><?php the_post_thumbnail('writemag-675w-autoh-image', array('class' => 'writemag-fullview-post-thumbnail-img writemag-fp-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?></a>
        </div>
    <?php } ?>
    <?php } ?>

    <?php
    if ( !(writemag_get_option('display_full_post_content')) ) { ?>
        <div class="writemag-fullview-post-snippet writemag-fp-post-snippet writemag-fullview-post-excerpt writemag-fp-post-excerpt"><?php the_excerpt(); ?></div>
    <?php } else {
        the_content( sprintf(
            wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                __( 'Continue reading<span class="writemag-sr-only"> "%s"</span> <span class="meta-nav">&rarr;</span>', 'writemag' ),
                array(
                    'span' => array(
                        'class' => array(),
                    ),
                )
            ),
            wp_kses_post( get_the_title() )
        ) );

        wp_link_pages( array(
         'before'      => '<div class="writemag-clearfix"></div><div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'writemag' ) . '</span>',
         'after'       => '</div>',
         'link_before' => '<span>',
         'link_after'  => '</span>',
         ) );
    }
    ?>
    </div><!-- .entry-content -->

    <?php if ( !(writemag_get_option('hide_post_tags_home')) && has_tag() ) { ?>
    <footer class="entry-footer">
    <?php writemag_post_tags(); ?>
    </footer><!-- .entry-footer -->
    <?php } ?>

    <?php if ( !(writemag_get_option('display_full_post_content')) ) { ?><?php if ( writemag_get_option('show_read_more_button') ) { ?><div class="writemag-fullview-post-read-more writemag-fp-post-read-more"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html( writemag_read_more_text() ); ?><span class="writemag-sr-only"> <?php echo wp_kses_post( get_the_title() ); ?></span></a></div><?php } ?><?php } ?>

    <?php if ( !(writemag_get_option('hide_share_buttons_home')) ) { echo wp_kses_post( force_balance_tags( writemag_small_share_buttons() ) ); } ?>

</div>
</div>